%undefine __cmake_in_source_build

Summary:  KDE Frameworks 5 tier 3 solution for process launching
Name:     kf5-kinit
Version:  5.110.0
%global   majmin %majmin_ver_kf5
%global   stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+ and BSD
URL:      https://invent.kde.org/frameworks/kinit
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kinit-%{version}.tar.xz
Source1:  macros.kf5-kinit
BuildRequires:  extra-cmake-modules >= %{version}
BuildRequires:  kf5-rpm-macros, kf5-kconfig-devel >= %{version}
BuildRequires:  kf5-kcrash-devel >= %{version}, kf5-kdbusaddons-devel >= %{version}
BuildRequires:  kf5-kdoctools-devel >= %{version}, kf5-ki18n-devel >= %{version}
BuildRequires:  kf5-kio-devel >= %{version}, kf5-kservice-devel >= %{version}
BuildRequires:  kf5-kwindowsystem-devel >= %{version}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig(libcap), pkgconfig(x11), pkgconfig(xcb)

%description
kdeinit is a process launcher somewhat similar to the famous init used for
booting UNIX.
.
It launches processes by forking and then loading a dynamic library which should
contain a 'kdemain(...)' function.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kinit-%{version} -p1


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install
mkdir -p %{_rpmconfigdir}/macros.d
install -p -m644 -D %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.%{name}

%find_lang kinit5_qt --with-man --with-qt --all-name

%files -f kinit5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/*
%{_kf5_libdir}/libkdeinit5_klauncher.so
%{_kf5_libexecdir}/*
%{_kf5_datadir}/qlogging-categories5/kinit.*
%{_kf5_mandir}/man8/kdeinit5.8*

%files devel
%{_kf5_libdir}/cmake/KF5Init/
%{_kf5_datadir}/dbus-1/interfaces/*.xml
%{_rpmconfigdir}/macros.d/macros.%{name}


%changelog
* Mon Nov 13 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
